package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.BaseBuildFacility;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.*;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 建筑设施 服务类
 * </p>
 *
 * @author han
 * @since 2023-07-26
 */
public interface BaseBuildFacilityService extends CrudService<BaseBuildFacility> {

    void add(BaseBuildFacility baseBuildFacility);

    void update(BaseBuildFacility baseBuildFacility);

    void remove(Integer id);

    CommonPage<BaseBuildFacility> page(BaseBuildFacilityRequestVO requestVO);

    CommonPage<BuildFacilityResponeVO> deviceList(BuildFacilityRequestVO requestVO);

    List<FacilityDeviceResultVO> facilityDeviceInfo(FacilityDeviceQueryVO queryVO);

    void setStatus(FacilityDeviceStatusVO statusVO);
}
